Subject: RE: cygwin nfs server
From: Larry Hall <[email-masked]>
To: "Povolotsky, Alexander" <[email-masked]>, "[email-masked]'" <[email-masked]>
Cc: "'Hugh Sparks'" <[email-masked]>, "'Robb, Sam'" <[email-masked]>
Date: Sat, 28 Aug 2004 19:24:50 -0400

At 01:55 PM 8/28/2004, you wrote:
>>But it's apparently not in your path for some reason.
>>Add it to the Windows system environment variables and see if that clears
>up >your problem.  
>I added /usr/sbin to the path in my .bashrc (per above suggestion from Larry
>Hall)

Actually, that was not what I was suggesting at all.  Rather I was 
suggesting that you add the Windows version of '/usr/bin' to your 
system wide PATH setting in Windows.  The error you were getting 
suggests that cygwin1.dll cannot be found for some reason and this
would ensure that the path is not the problem (of course if the path
is not the problem, I'm not sure what is).  Adding '/usr/sbin' or '/usr/bin'
to your shell's path isn't going to help you very much I expect.

>$ set 
>...
>PATH='/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/cygdrive/d/Software/Activ
>eTcl/bin:/cygdrive/c/Orant/bin:/cygdrive/c/Ora8/bin:/cygdrive/c/Program
>Files/Oracle/jre/1.1.7/bin:/cygdrive/c/WINDOWS/system32:/cygdrive/c/WINDOWS:
>/cygdrive/c/WINDOWS/System32/Wbem:/cygdrive/d/Software:/cygdrive/c/Program
>Files/PC-Doctor for Windows/services:/cygdrive/z/program
>files/rksupport:/cygdrive/d/Software/cvsnt:/
>cygdrive/c/SFU/common/:.:/usr/sbin'

Yeah but like I said, this is less interesting because this is the path 
in your current shell, which isn't going to be the same path as the service
sees.

>but I found "Readme" for NFS server and tried to do it "by the book" from
>the Cygwin shell ...
>
>$ cygrunsrv.exe -I "portmap" -p /usr/sbin/portmap -a -F
>cygrunsrv: Error installing a service: OpenService:  Win32 error 1073:
>The specified service already exists.

That just means that it's been installed already.

>However (as I have stated several times already)
>the Cygwin portmap service is not listed ...

OK.  So what does the following command show you?

"ls -l /proc/registry/HKEY_LOCAL_MACHINE/SYSTEM/CurrentControlSet/Services | egrep '(nfs|portmap|mount)'"

And these:

cygrunsrv -Q mountd
cygrunsrv -Q nfsd
cygrunsrv -Q portmap

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/